# Uses of Interface
org.opensaml.soap.wsaddressing.Metadata

Packages that use Metadata
Package
Description
org.opensaml.soap.wsaddressing
XMLObject interfaces for WS-Addressing 1.0 elements.
org.opensaml.soap.wsaddressing.impl
XML Object provider implementations for WS-Addressing.

## Uses of Metadata in org.opensaml.soap.wsaddressing

Methods in org.opensaml.soap.wsaddressing that return Metadata
Modifier and Type
Method
Description
`Metadata`
EndpointReferenceType.`getMetadata()`
Returns the optional <wsa:Metadata> child element.
Methods in org.opensaml.soap.wsaddressing with parameters of type Metadata
Modifier and Type
Method
Description
`void`
EndpointReferenceType.`setMetadata(Metadata metadata)`
Sets the <wsa:Metadata> child element.

## Uses of Metadata in org.opensaml.soap.wsaddressing.impl

Classes in org.opensaml.soap.wsaddressing.impl that implement Metadata
Modifier and Type
Class
Description
`class`
`MetadataImpl`
MetadataImpl.
Fields in org.opensaml.soap.wsaddressing.impl declared as Metadata
Modifier and Type
Field
Description
`private Metadata`
EndpointReferenceTypeImpl.`metadata`
Optional `Metadata` child element.
Methods in org.opensaml.soap.wsaddressing.impl that return Metadata
Modifier and Type
Method
Description
`Metadata`
MetadataBuilder.`buildObject()`
Builds a WS-Addressing object.
`Metadata`
MetadataBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Metadata`
EndpointReferenceTypeImpl.`getMetadata()`
Returns the optional <wsa:Metadata> child element.
Methods in org.opensaml.soap.wsaddressing.impl with parameters of type Metadata
Modifier and Type
Method
Description
`void`
EndpointReferenceTypeImpl.`setMetadata(Metadata newMetadata)`
Sets the <wsa:Metadata> child element.